import { BaseMock } from 'typescript-helper-functions';
/**
 * KMS Mock class
 */
export declare class KMSMock extends BaseMock {
    /**
     * Mocks an AWS.KMS.DecryptResponse response
     */
    DecryptResponse: AWS.KMS.DecryptResponse;
    /**
     * Mocks an AWS.KMS.EncryptResponse response
     */
    EncryptResponse: AWS.KMS.EncryptResponse;
    /**
     * Create the KMS mock
     */
    protected CreateMock(returnError: boolean): any;
}
